using UnityEngine.UIElements;

namespace KitsuneCafe.UI.MVVM
{
  public interface IBinder
  {
    VisualElement CreateItem();
    void BindItem(VisualElement element, int index);
    void UnbindItem(VisualElement element);
    void DestroyItem(VisualElement element);
  }
}
